Opened 3 years ago

Last modified 8 weeks ago

#57450 assigned enhancement

Please create a FreeCAD Py3/Qt5 port

Reported by: luzpaz Owned by: mbrethen
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: mf2k (Frank Schima), jjstickel (Jonathan Stickel), ctreleaven (Craig Treleaven)
Port: freecad

Description (last modified by luzpaz)

The next iteration of FC (v0.18) will be py3/qt5 compliant. We need testers to be able to test this before the next release. Over at github the OSX team which mainly works with homebrew[1], have created a build that builds against Qt5[2]. It would be useful if Macports was on the same page. Edit: Added upstream ticket[3]

[1] https://github.com/FreeCAD/homebrew-freecad/

[2] https://github.com/FreeCAD/FreeCAD/releases/tag/0.18_pre

[3] https://github.com/FreeCAD/homebrew-freecad/issues/96

Change History (14)

comment:1 Changed 3 years ago by luzpaz

Description: modified (diff)

comment:2 Changed 3 years ago by Schamschula (Marius Schamschula)

Cc: Schamschula added

comment:3 Changed 3 years ago by Schamschula (Marius Schamschula)

We don't have a freecad-devel port, so we'll tackle this when FreeCAD 0.18 is released. The Homebrew formula builds the same version, 0.17, as does MacPorts.

comment:4 Changed 3 years ago by Schamschula (Marius Schamschula)

Cc: Schamschula removed
Owner: changed from MarcusCalhoun-Lopez to Schamschula
Port: freecad added
Status: assignedaccepted

comment:5 Changed 3 years ago by mf2k (Frank Schima)

Cc: mbrethen added
Type: requestenhancement

comment:6 Changed 2 years ago by luzpaz

There is a homebrew tap hosted on the FreeCAD github org that has a py3/qt5 port:

https://github.com/FreeCAD/homebrew-freecad

@Schamschula could you use that?

Last edited 2 years ago by luzpaz (previous) (diff)

comment:7 Changed 2 years ago by luzpaz

Any progress ?

comment:8 Changed 2 years ago by Schamschula (Marius Schamschula)

See comment 3!

I don't have time to chase development builds, nor am I and expert on Qt5.

Volunteers are welcome!

comment:9 Changed 2 years ago by Schamschula (Marius Schamschula)

Taking a look!

It looks to me as if Homebrew is still using Python 2.7...

As usual, cmake gives a warning about not finding openmpi. I'll ignore that for the time being.

The next problem is posed in porting the med-file dependency: the patch file https://aur.archlinux.org/cgit/aur.git/plain/hdf5-1.10-support.patch?h=med used by Homebrew no longer exists. I found a version that does not apply cleanly. Lots of manual editing. I got this to build. Homebrew is using version 3.3.1, but upstream is at version 4.0. I also built version 3.3.1.

With freecad I get numerous build errors, as 0.18_pre is 2202 commits behind the development sources. I see little point building using the current sources, and will wait for a new snapshot.

You can see my updated Portfiles https://github.com/Schamschula/macports/tree/master/cad

comment:10 Changed 16 months ago by mf2k (Frank Schima)

Cc: mf2k added

comment:11 Changed 16 months ago by mf2k (Frank Schima)

Can you try again with 0.19_pre? It appears to support python 3 along with Qt5.

comment:12 Changed 15 months ago by jjstickel (Jonathan Stickel)

Cc: jjstickel added

comment:13 Changed 8 months ago by ctreleaven (Craig Treleaven)

Cc: ctreleaven added

comment:14 Changed 8 weeks ago by mf2k (Frank Schima)

Cc: mbrethen removed
Owner: changed from Schamschula to mbrethen
Status: acceptedassigned
Note: See TracTickets for help on using tickets.